#ifndef __KYLINDATEINTERFACE_H__
#define __KYLINDATEINTERFACE_H__

#include<stdbool.h>

#ifdef __cplusplus
extern "C"{
#endif

/*
 * Modify the time zone.
 * @location is the time zone.Referring to the file "/usr/share/zoneinfo/zone_utc".
 * e.g. gchar *location="(UTC+08:00) 北京，重庆，香港特别行政区，乌鲁木齐";
 */
void kylin_date_dt_settz(char *location);

/*
 * Change the system date and time.
 * @Parameter represents the date and time you want to set.
 */
void kylin_date_dt_chgdt(unsigned year,
                         unsigned month,
                         unsigned day,
                         unsigned hour,
                         unsigned minute,
                         unsigned second);

/*
 * Whether to enable network time synchronization.
 * @timesetting can be equal to 1 or 0.
 */
void kylin_date_dt_setnetsync(int timesetting);

/*
 * Whether to enable time format.
 */
void kylin_date_dt_sethrfmt(bool value);

#ifdef __cplusplus
}
#endif

#endif


