#ifndef __KYLINDESKTOPINTERFACE_H__
#define __KYLINDESKTOPINTERFACE_H__

#include <stdbool.h>

#ifdef __cplusplus
extern "C" {
#endif

//Initialize the DBus Communication
bool InitDBusDesktop(void);

//Delete the DBus Communication
bool DeInitDBusDesktop(void);

/*
 * The font description used for the icons on the desktop.
 */
void kylin_personal_fonts_font(const char *in_arg);

/*
 * Home icon visible on desktop.
 * If this is set to true, an icon linking to the home folder
 * will be put on the desktop.
 */
void kylin_personal_fonts_homeiconvisible(const bool in_arg);

/*
 * Computer icon visible on desktop.
 * If this is set to true, an icon linking to the computer location
 * will be put on the desktop.
 */
void kylin_personal_fonts_computericonvisible(const bool in_arg);

/*
 * Trash icon visible on desktop.
 * If this is set to true, an icon linking to the trash
 * will be put on the desktop.
 */
void kylin_personal_fonts_trashiconvisible(const bool in_arg);

/*
 * Show mounted volumes on the desktop.
 * If this is set to true, icons linking to mounted volumes
 * will be put on the desktop.
 */
void kylin_personal_fonts_volumesvisible(const bool in_arg);

/*
 * Network Servers icon visible on the desktop.
 * If this is set to true, an icon linking to the Network Servers view
 * will be put on the desktop.
 */
void kylin_personal_fonts_networkiconvisible(const bool in_arg);

/*
 * Desktop computer icon name.
 */
void kylin_personal_fonts_computericonname(const char *in_arg);

/*
 * Desktop home icon name.
 */
void kylin_personal_fonts_homeiconname(const char *in_arg);

/*
 * Desktop trash icon name.
 */
void kylin_personal_fonts_trashiconname(const char *in_arg);

/*
 * Network servers icon name.
 */
void kylin_personal_fonts_networkiconname(const char *in_arg);

/*
 * Text Ellipsis Limit.
 */
void kylin_personal_fonts_textellipsislimit(const int in_arg);

#ifdef __cplusplus
}
#endif

#endif













