#ifndef __KYLINGSETTINGSSET_H__
#define __KYLINGSETTINGSSET_H__

#include<stdio.h>
#include <gio/gio.h>

#ifdef  __cplusplus
extern "C" {
#endif

//Creates a new GSsetting object with the schema specified by schema_id
GSettings *gsettings_get_schemaID(const gchar *schemaID);

//Sets int_key in settings to value
void gsettings_set_int(GSettings *settings, const gchar *key, gint value);

//Sets boolean_key in settings to value
void gsettings_set_boolean(GSettings *settings, const gchar *key, gboolean value);

//Sets double_key in settings to value
void gsettings_set_double(GSettings *settings, const gchar *key, gdouble value);

//Sets string_key in settings to value
void gsettings_set_string(GSettings *settings, const gchar *key, const gchar *value);

//Sets enum_key in settings to value
void gsettings_set_enum(GSettings *settings, const gchar *key, gint value);

//Decreases the reference count of setting
void Dec_ref(GSettings *setting);

#ifdef  __cplusplus
}
#endif

#endif
