#ifndef __KYLINPOWERINTERFACE_H__
#define __KYLINPOWERINTERFACE_H__

#include <stdbool.h>

#ifdef __cplusplus
extern "C" {
#endif

//Initialize the DBus Communication
bool InitDBusPower(void);

//Delete the DBus Communication
bool DeInitDBusPower(void);
/*
 * Sleep timeout computer when on battery
 */
void kylin_hardware_power_sleepcomputerbattery(const int in_arg);

/*
 * Sleep timeout computer when on AC
 */
void kylin_hardware_power_sleepcomputerac(const int in_arg);

/*
 * Sleep timeout display when on battery
 */
void kylin_hardware_power_sleepdisplaybattery(const int in_arg);

/*
 * Sleep timeout display when on AC
 */
void kylin_hardware_power_sleepdisplayac(const int in_arg);

/*
 * Display options for the notification icon.
 * Possible values are:
 * @in_arg is equal to 0, "always";
 * @in_arg is equal to 1, "present";
 * @in_arg is equal to 2, "charge";
 * @in_arg is equal to 3, "low";
 * @in_arg is equal to 4, "critical";
 * @in_arg is equal to 5, "never".
 */
void kylin_hardware_power_iconpolicy(const int in_arg);

#ifdef __cplusplus
}
#endif

#endif













