#ifndef __KYLINSYSINFOINTERFACE_H__
#define __KYLINSYSINFOINTERFACE_H__

#include <stdio.h>

#ifdef __cplusplus
extern "C"{
#endif

/*
 * Get the name of the implementation of the operating system.
 * @sysname is used to store the name of the operating system.
 */
void kylin_os_sysinfo_sysname(char *sysname);

/*
 * Get the name of this node on the network.
 * @nodename is used to store the name of network node.
 */
void kylin_os_sysinfo_nodename(char *nodename);

/*
 * Get current release level of this implementation.
 * @release is used to store the release level.
 */
void kylin_os_sysinfo_release(char *release);

/*
 * Get the name of the hardware type the system is running on.
 * @machine is used to store the name of the hardware type.
 */
void kylin_os_sysinfo_machine(char *machine);

/*
 * Get current version level of this release.
 * @version is used to store the current version level.
 */
void kylin_os_sysinfo_version(char *version);

#ifdef __cplusplus
}
#endif

#endif
