#ifndef __KYLINTOUCHPADINTERFACE_H__
#define __KYLINTOUCHPADINTERFACE_H__

#include <stdbool.h>

#ifdef __cplusplus
extern "C" {
#endif

//Initialize the DBus Communication
bool InitDBusTouchpad(void);

//Delete the DBus Communication
bool DeInitDBusTouchpad(void);

/*
 * Set this to TRUE to enable all touchpads.
 *
 */
void kylin_hardware_touchpad_touchpadenabled(const bool in_arg);

/*
 * Enable mouse clicks with touchpad.
 *
 */
void kylin_hardware_touchpad_taptoclick(const bool in_arg);

/*
 * Select the touchpad scroll method.
 * Supported values are:
 * @in_arg is equal to 0: disabled;
 * @in_arg is equal to 1: edge scrolling;
 * @in_arg is equal to 2: two-finger scrolling.
 *
 */
void kylin_hardware_touchpad_scrollmethod(const int in_arg);

/*
 * Set this to true to enable natural (reverse) scrolling for touchpads.
 *
 */
void kylin_hardware_touchpad_naturalscroll(const bool in_arg);

#ifdef __cplusplus
}
#endif

#endif













